/****************************************************************************
*
*	Module Name: gpdmem.h
*
*	Description:
*
*	Revision History:
*	0.6	02/10/95		FJL
*			Replaced "pascal" in all API function prototypes with _APICALL
*			which is defined as "pascal far" for Windows and "pascal" DOS.
*
****************************************************************************/

/*
 * $Workfile:   GPDMEM.H  $
 *
 * Current $Revision:   1.1  $ By $Author:   westerinen  $
 *
 * $Modtime:   03 Dec 1992 17:52:48  $
 *
 * Reverse Chronological Revision 
 *
 * $Log:   H:/penright/vcs/incs/gpdmem.h_v  $
 * 
 *    Rev 1.1   03 Dec 1992 17:52:52   westerinen
 * added vcs header
 *
*/


/*--------------------------------------------------------*/
/*          Memory allocation include file                */
/*--------------------------------------------------------*/

/*----------------------------------------------------------
 These are the PenRight API's internal memory management routines.
 They should only be used outside the API in special cases.

 NOTE: both MsAllocate AND MsFree require a pointer to a pointer 
 to a buffer.  MsFree will set the pointer to the buffer to NULL.
----------------------------------------------------------*/

extern void _APICALL MsAllocate 
 (unsigned short len, void far *pBuffer, unsigned short far *error);
 
extern void _APICALL MsFree (void far *pBuffer, unsigned short far *error);

extern unsigned short _APICALL MsAvailableMemory (void);
