/****************************************************************************
*
*	Module Name: gpdovl.h
*
*	Description:
*
*	Revision History:
*	0.6	02/10/95		FJL
*			Replaced "pascal" in all API function prototypes with _APICALL
*			which is defined as "pascal far" for Windows and "pascal" for DOS.
*
****************************************************************************/

/*
 * $Workfile:   GPDOVL.H  $
 *
 * Current $Revision:   1.1  $ By $Author:   westerinen  $
 *
 * $Modtime:   03 Dec 1992 17:53:34  $
 *
 * Reverse Chronological Revision 
 *
 * $Log:   H:/penright/vcs/incs/gpdovl.h_v  $
 * 
 *    Rev 1.1   03 Dec 1992 17:53:38   westerinen
 * added vcs header
 *
*/


/*--------------------------------------------------------*/
/*                 Overlay include file                   */
/*--------------------------------------------------------*/

extern void _APICALL OvlGetPt
 (short far *pScreenX, short far *pScreenY,
  BOOLEAN far *pPenDown, unsigned short far *pError);

extern void _APICALL OvlGetPtAndPen
 (short far *pScreenX, short far *pScreenY,
  short far *pOverlayX, short far *pOverlayY,
  BOOLEAN far *pPenDown, unsigned short far *pError);

extern void _APICALL OvlOverlayToDisplayPt (short far *pX, short far *pY);

extern void _APICALL OvlSetOverlayOrientation
 (enum orientations newOrientation);

extern BOOLEAN _APICALL OvlBufferEnable (BOOLEAN enableIt); 

extern BOOLEAN _APICALL OvlBufferEnabled (void);

