/*
 * $Workfile:   penapi.h  $
 *
 * Current $Revision:   1.5  $ By $Author:   westerinen  $
 *
 * $Modtime:   05 Apr 1994 15:45:48  $
 *
 * Reverse Chronological Revision 
 *
 * $Log:   H:\penright\vcs\incs\penapi.h_v  $
 * 
 *    Rev 1.5   13 Apr 1994 14:17:00   westerinen
 * 
 * Added gpdkbnav.h.
 * 
 *    Rev 1.4   23 Apr 1993 17:03:40   tharakan
 * 
 * Changed __IN_PEN_API_H to __IN_PENAPI_H as it should be
 * 
 *    Rev 1.3   23 Apr 1993 14:21:12   sico
 * Took out database, com and verb includes. These will be put in 
 * PenRight.h, leaving this file as an internal one.
 * 
 *    Rev 1.2   19 Apr 1993 15:57:24   tharakan
 * 
 * Added #define to indicate scope of penapi.h include file.
 * Added lines to include other PenRight! include files - dcm, dbm verbs
 * 
 *    Rev 1.1   03 Dec 1992 18:00:14   westerinen
 * added vcs header
 *
*/


/*----------------------------------------------------------*/
/* PenRight! Pro Application Program Interface include file */
/*----------------------------------------------------------*/

/*----------------------------------------------------------*/
/*                     IMPORTANT NOTICE                     */
/*                                                          */
/*  The data structures in the following include files      */
/*  require packing to the nearest byte.  This is not       */
/*  necessarily the default used by your compiler!          */
/*                                                          */
/*  For Microsoft C 5.0 this is accomplished by use of the  */
/*  /Zp1 switch on the compiler command line or the         */
/*  #pragma pack(1) directive within the source code.       */
/*                                                          */
/*  For Turbo C 2.0 the compiler should be installed by     */
/*  TCINST with Alignment set to byte-aligning.  This       */
/*  option is found within the Code Generation portion of   */
/*  the Compiler menu.                                      */
/*----------------------------------------------------------*/

#ifndef __penright
#define __penright

#define __IN_PENAPI_H

#ifdef __cplusplus
/*  for Turbo C++  */
extern "C" {
#endif

#ifdef PRWIN
#define _APICALL pascal far
#else
#define _APICALL pascal
#endif

#include <gpdinit.h>
#include <gpdevt.h>
#include <gpdinspt.h>
#include <gpdctl.h>
#include <gpdrsc.h>
#include <gpdwin.h>
#include <gpddraw.h>
#include <gpdfnt.h>
#include <gpdlst.h>
#include <gpdfld.h>
#include <gpdfrm.h>
#include <gpdhwr.h>
#include <gpdhwp.h>
#include <gpdcdr.h>
#include <gpddgt.h>
#include <gpdovl.h>
#include <gpdcsr.h>
#include <gpdrct.h> 
#include <gpderr.h>
#include <gpdmem.h>
#include <gpdkbnav.h>

#ifdef __cplusplus
}
#endif

#undef __IN_PENAPI_H

#endif  /* __penright */
