/*
 * $Workfile:   sysrsc.h  $
 *
 * Current $Revision:   1.4  $ By $Author:   westerinen  $
 *
 * $Modtime:   24 May 1994 11:48:02  $
 *
 * Reverse Chronological Revision 
 *
 * $Log:   H:\penright\vcs\incs\sysrsc.h_v  $
 * 
 *    Rev 1.4   24 May 1994 12:52:54   westerinen
 * 
 * Added resource ID for keyboard navigation stub code resource.
 * 
 *    Rev 1.3   16 May 1994 13:51:24   westerinen
 * Removed frmdsply code resource ID.
 * 
 *    Rev 1.2   13 May 1994 14:23:54   woodmansee
 * Added ALERT_FORM_RSCID
 * 
 *    Rev 1.1   26 Apr 1994 17:00:24   westerinen
 * 
 * Added new system resource ID's for the apiext and kbnav module resources.
 * 
 *    Rev 1.0   12 May 1993 11:46:02   westerinen
 * Initial Revision
 *
*/


/*--------------------------------------------------------*/
/*              System resource include file              */
/*--------------------------------------------------------*/

#define SCREEN_DRIVER_RSCID           65535U  /*   -1     */
#define SYSTEM_CONFIG_RSCID           65534U  /*   -2     */
#define HWR_TEMPLATE_RSCID            65486U  /*   -50    */
#define SYSTEM_FONT_RSCID             65436U  /*   -100   */
#define SYSTEM_CURSOR_RSCID           65435U  /*   -101   */
#define ALERT_CODE_RSCID              65386U  /*   -150   */
#define HWR_CODE_RSCID                65385U  /*   -151   */
#define PEN_DRVR_CODE_RSCID           65384U  /*   -152   */
#define KBDNAV_CODE_RSCID             65383U  /*   -153   */
#define KBDSTUB_CODE_RSCID            65382U  /*   -154   */
#define API_EXT_CODE_RSCID            65381U  /*   -155   */
#define KBD_CODE_RSCID                65336U  /*   -200   */
#define KBD_ALPHANUM_FRM_RSCID        65335U  /*   -201   */
#define KBD_ALPHANUM_CNV_RSCID        65334U  /*   -202   */
#define KBD_NUMERIC_FRM_RSCID         65333U  /*   -203   */
#define KBD_NUMERIC_CNV_RSCID         65332U  /*   -204   */
#define KBD_FLD_FONT_RSCID            65331U  /*   -205   */
#define KBD_MIN_FRM_RSCID             65330U  /*   -206   */
#define KBD_MIN_CNV_RSCID             65329U  /*   -207   */
#define FLD_MASK_ALPHA_RSCID          65326U  /*   -210   */
#define FLD_MASK_DIGIT_RSCID          65325U  /*   -211   */
#define FLD_MASK_STRING_RSCID         65324U  /*   -212   */
#define FLD_MASK_NUMERIC_RSCID        65323U  /*   -213   */
#define FLD_MASK_NUM_OVERSTRIKE_RSCID 65322U  /*   -214   */
#define KBD_D_ARROW_CNV_RSCID         65315U  /*   -221   */
#define KBD_L_ARROW_CNV_RSCID         65314U  /*   -222   */
#define KBD_R_ARROW_CNV_RSCID         65313U  /*   -223   */
#define KBD_U_ARROW_CNV_RSCID         65312U  /*   -224   */
#define MASK_STRING_SYM_RSCID         65311U  /*   -225   */
#define MASK_ALPHA_SYM_RSCID          65310U  /*   -226   */
#define MASK_DIGIT_SYM_RSCID          65309U  /*   -227   */
#define KBD_ALPHANUM_CGA_FRM_RSCID    65308U  /*   -228   */
#define KBD_ALPHANUM_CGA_CNV_RSCID    65307U  /*   -229   */
#define KBD_MIN_CGA_FRM_RSCID         65306U  /*   -230   */
#define KBD_MIN_CGA_CNV_RSCID         65305U  /*   -231   */
#define ALERT_FORM_RSCID              65304U  /*   -232   */
