/****************************************************************************
*
*	Module Name: gpadapi.h
*
*	Description:
*
*	Revision History:
*	0.1	11/23/94		FJL
*			Made the following changes:
*			1.	Added conditional compilation of definition of DLL_EXPORT and
*				include of windows.h. Identifier PRWIN is used for Window's
*				compilation.
*
*	0.2	04/11/95		FJL
*			Made the following changes:
*			1.	Added conditional compile for PRDPMI.
*
*	0.7	04/20/95		ECM
*			Made the following changes:
*			1.	Changed DLL_EXPORT (for Windows) to be defined as "_export"
*			rather than "_loadds".  This change was made when implimenting
*			multi-instances.
*
****************************************************************************/

/*
 * $Workfile:   GPADAPI.H  $
 *
 * Current $Revision:   1.1  $ By $Author:   westerinen  $
 *
 * $Modtime:   03 Dec 1992 17:36:30  $
 *
 * Reverse Chronological Revision 
 *
 * $Log:   H:/penright/vcs/incs/gpadapi.h_v  $
 * 
 *    Rev 1.1   03 Dec 1992 17:36:34   westerinen
 * added vcs header
 *
*/

#ifdef PRWIN
#define	DLL_EXPORT	_export
#include <windows.h>
#endif

#ifdef PRDPMI
#define	DLL_EXPORT	_loadds
#endif

#include <penapi.h>
