/****************************************************************************
*
*	Module Name: gpdrct.h
*
*	Description:
*
*	Revision History:
*	0.6	02/10/95		FJL
*			Replaced "pascal" in all API function prototypes with _APICALL
*			which is defined as "pascal far" for Windows and "pascal" for DOS.
*
****************************************************************************/

/*
 * $Workfile:   GPDRCT.H  $
 *
 * Current $Revision:   1.1  $ By $Author:   westerinen  $
 *
 * $Modtime:   03 Dec 1992 17:57:46  $
 *
 * Reverse Chronological Revision 
 *
 * $Log:   H:/penright/vcs/incs/gpdrct.h_v  $
 * 
 *    Rev 1.1   03 Dec 1992 17:57:50   westerinen
 * added vcs header
 *
*/


/*--------------------------------------------------------*/
/*                Rectangle include file                  */
/*--------------------------------------------------------*/

extern void _APICALL RctSetRectangle
 (void far *r, short left, short top, short x, short y);

extern void _APICALL RctCopyRectangle (void far *srcRect, void far *dstRect);

extern void _APICALL RctInsetRectangle
 (RECTANGLETYPE far *r, short insetAmt);

extern void _APICALL RctOffsetRectangle
 (RECTANGLETYPE far *r, short deltaX, short deltaY);

extern BOOLEAN _APICALL RctRectanglesIntersect
 (RECTANGLETYPE far *src1, RECTANGLETYPE far *src2, RECTANGLETYPE far *result);

extern BOOLEAN _APICALL RctPtInRectangle
 (short x, short y, RECTANGLETYPE far *r);

extern void _APICALL RctGetFramesRectangle
 (unsigned short frame, RECTANGLETYPE far *r, RECTANGLETYPE far *obscuredRect);

